.review-box {
  display: flex;
  position: relative;
  height: 100%;
}

.review-box-1 .review-content {
  display: flex;
  flex: 1;
}

.review-box-1 .review-right {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: calc(100% - 504px);
  text-align: center;
}

.review-box-1 .review-logo {
  margin-bottom: 24px;
}

.review-box-2 .review-background-img {
  min-width: 640px;
}

.review-box-1 .review-left {
  width: 504px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.review-box-1 .review-footer {
  display: none;
}


.review-box-2 {
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.review-box-2 .review-content {
  overflow: hidden;
}

.review-box-2 .review-right {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  margin-right: 120px;
  float: right;
  align-items: center;
}

.review-box-2 .review-logo {
  margin-bottom: 24px;
}

.review-box-2 .left-wrapper {
  width: 100%;
}

.review-box-3 .left-wrapper {
  width: 100%;
}

.review-box-2 .review-background-img {
  /* min-height: 380px; */
  min-width: 640px;
}

.review-box-2 .review-left {
  display: flex;
  border-radius: 8px;
  padding: 40px;
  width: 448px;
  height: 560px;
  background: #FFFFFF;
  box-shadow: 0px 0px 24px rgba(5, 12, 26, 0.05);
  border-radius: 16px;
  z-index: 0;
  float: right;
  margin-top: calc(50vh - 390px);
}


.review-box-3 {
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  background: #F2F4F7;
}

.review-box-3 .review-content {
  /* display: flex; */
  align-self: end;
  justify-content: center;
  /* max-height: 577px; */
  overflow: auto;
  position: absolute;
  /* width: 896px; */
  height: 560px;
  left: calc(50% - 896px/2);
  top: calc(50% - 560px/2 - 20px);
  background: #FFFFFF;
  box-shadow: 0px 0px 24px rgba(5, 12, 26, 0.05);
  border-radius: 16px;
}

.review-box-3 .review-right {
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 34px;
  text-align: center;
}

.review-box-3 .review-logo {
  margin-bottom: 16px;
}

.review-box-3 .review-logo .review-img {
  max-height: 96px;
  min-height: 10px;
  width: auto;
}

.review-box-3 .review-left {
  display: flex;
  padding: 40px;
  align-items: center;
  float: right;
  height: 100%;
}

.review-box-3 .review-background-img {
  /* min-height: 344px; */
  min-width: 344px;
}

.review-box-3 .review-footer {
  display: flex;
  width: 100%;
  align-self: flex-end;
  justify-content: center;
}


.review-box-4 {
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-size: cover;
}

.review-box-4 .review-content {
  display: flex;
  flex: 1;
  justify-content: center;
  flex-direction: column-reverse;
}

.review-box-4 .review-right {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
}

.review-box-4 .review-logo {
  margin-bottom: 24px;
}

.review-box-4 .review-left {
  display: flex;
  padding: 64px 40px;
  background: #FFFFFF;
  border-radius: 8px;
  align-items: center;
  justify-content: center;
  width: 448px;
  box-shadow: 0px 0px 32px rgba(0, 0, 0, 0.08);
  z-index: 1;
}

.review-box-4 .review-background-img {
  display: none;
}

.review-box-1 .review-logo,
.review-box-2 .review-logo,
.review-box-3 .review-logo,
.review-box-4 .review-logo {
  min-height: 96px;
  max-width: 380px;
}

.review-box-1 .review-img,
.review-box-2 .review-img {
  display: block;
  max-width: 640px;
  max-height: 640px;
  width: 100%;
  margin: 0 auto;
}

.review-box-2 .copy-content,
.review-box-3 .copy-content,
.review-box-4 .copy-content {
  display: none;
}

.review-box-3 .review-img {
  display: block;
  max-width: 380px;
  max-height: 380px;
  width: 100%;
}

.review-footer {
  font-size: 14px;
  color: #979CA8;
  text-align: center;
  margin-bottom: 24px;
  position: fixed;
  bottom: 0;
}

.review-footer p {
  margin-bottom: 0;
  font-size: 12px;
  color: #6B7A99;
}

.review-box-4 .page-title {
  margin-bottom: 40px;
}

.review-box-4 #sign-box-4 {
  position: relative;
  width: 400px;
  height: 80px;
  bottom: 54px;
  background: #FFFFFF;
  box-shadow: 0px 0px 32px rgba(0, 0, 0, 0.08);
  border-radius: 12px;
  text-align: center;
  line-height: 104px;
  left: 24px;
}

/* 当屏幕高度小于 789 且出现验证框时触发 */
@media screen and (max-height: 789px) {
  .has_verify_code .page-title {
    margin-bottom: 0.35rem;
  }

  .has_verify_code .ivu-form-item {
    margin-bottom: 16px;
  }

  .has_verify_code .verify-img {
    margin-top: 16px;
  }

  .has_verify_code .review-logo img {
    height: 72px;
  }

  .has_verify_code .el-divider {
    margin: 24px 0;
  }

  .has_verify_code .sign-box {
    margin-top: 16px;
  }
  .review-box-1 .review-logo, .review-box-2 .review-logo, .review-box-3 .review-logo, .review-box-4 .review-logo{
    min-height: 20px;
  }
  .review-box-1 .review-img, .review-box-2 .review-img {
    width: 70%;
  }
}

/* 屏幕尺寸小于 1200 则启动移动端适配 */
@media screen and (max-width: 1200px) {
  .review-box-1,.review-box-2,.review-box-3 {
    background-color: #ffffff !important;
    background-image: none !important;
  }

  .review-box-1 .review-content,.review-box-2 .review-content,.review-box-3 .review-content {
    box-shadow: none;
  }

  .review-box-1 .review-right,.review-box-2 .review-right,.review-box-3 .review-right {
    display: none;
  }

  .form-logo {
    display: block;
  }

  .review-box-1  .review-left,.review-box-2  .review-left,.review-box-3  .review-left{
    width: 100%;
    box-shadow: none;
  }
}